use super::NuWhen;
use nu_protocol::{CustomValue, ShellError, Span, Value};

// CustomValue implementation for NuDataFrame
impl CustomValue for NuWhen {
    fn typetag_name(&self) -> &'static str {
        "when"
    }

    fn typetag_deserialize(&self) {
        unimplemented!("typetag_deserialize")
    }

    fn clone_value(&self, span: nu_protocol::Span) -> Value {
        let cloned = self.clone();

        Value::CustomValue {
            val: Box::new(cloned),
            span,
        }
    }

    fn value_string(&self) -> String {
        self.typetag_name().to_string()
    }

    fn to_base_value(&self, span: Span) -> Result<Value, ShellError> {
        let val = match self {
            NuWhen::WhenThen(_) => "whenthen".into(),
            NuWhen::WhenThenThen(_) => "whenthenthen".into(),
        };

        let value = Value::String { val, span };
        Ok(value)
    }

    fn as_any(&self) -> &dyn std::any::Any {
        self
    }
}
